Mantis Bugtracker

Viewing Issue Advanced Details Jump to Notes ] View Simple ] Print ]
ID Category Severity Date Submitted Last Update
0009286 [WARP Appliance] GSM high 2011-01-21 13:39 2013-03-19 11:23
Reporter skarow View Status public  
Assigned To
Priority Scheduled Resolution pv pass Platform
Status closed   OS
Projection none   OS Version
Fixed in Version 3.0.2 Product Version trunk
  Target Version 3.0.2 Product Build
Summary 0009286: GSM channel driver reports warnings to asterisk log that it should not.
Description The GSM channel driver reports warnings (see below) to log file when the Asterisk dial plan does a ChanIsAvail query on the channel, for example:

exten => warplcr,n,ChanIsAvail(GSM/1&GSM/2)

This should not be a WARNING. At most it should be a NOTICE.


Steps To Reproduce
Additional Information [Jan 21 18:04:42] WARNING[3025] gsmctl.c: There is already a call on port :1
[Jan 21 18:04:42] WARNING[3025] gsmctl.c: There is already a call on port :2
Tags BLANK
Reported by Customer No
Type Bug
Attached Files

- Relationships

-  Notes
(0044968)
skarow (administrator)
2012-02-13 15:00

svn revision: 28110 (fixed)

-= Comment =-
Report a call already on the line as a NOTICE and not a WARNING.

  -= SvnPaths =-
http://svn.pikatech.com/warp/branches/3.0.0/release/chan_gsm/chan_gsm/chan_gsm.c [^]

  -= ViewVC =-

http://viewvc.pikatech.com/view/svn/warp/branches/3.0.0/release/chan_gsm/chan_gsm/chan_gsm.c?r1=28110&r2=28109&pathrev=28110 [^]
(0044970)
skarow (administrator)
2012-02-13 15:20

svn revision: 28111 (fixed)

-= Comment =-
Report calls already on line as a NOTICE and not a WARNING.

  -= SvnPaths =-
http://svn.pikatech.com/warp/branches/3.0.0/release/build_toolkit/packages/package-defines [^]
http://svn.pikatech.com/warp/branches/3.0.0/release/build_toolkit/packages/warpchangsm/debian/changelog [^]

  -= ViewVC =-

http://viewvc.pikatech.com/view/svn/warp/branches/3.0.0/release/build_toolkit/packages/package-defines?r1=28111&r2=28110&pathrev=28111 [^]
http://viewvc.pikatech.com/view/svn/warp/branches/3.0.0/release/build_toolkit/packages/warpchangsm/debian/changelog?r1=28111&r2=28110&pathrev=28111 [^]
(0044971)
skarow (administrator)
2012-02-13 15:23

This is fixed in warpchangsm package version 1.0.28110-1

The presence of a call already on the channel is now only reported as a notice and not a WARNING.


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker